%define major     15
%define libname   %mklibname pinyin %major
%define develname %mklibname pinyin -d

Name:           libpinyin
Version:        2.8.1
Release:        %mkrel 1
Summary:        The library of a sentence-based Chinese pinyin input method
License:        GPLv2+
Group:          System/Internationalization
Url:            https://github.com/libpinyin/libpinyin
Source0:        https://github.com/libpinyin/libpinyin/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        https://downloads.sourceforge.net/libpinyin/models/model19.text.tar.gz
BuildRequires:  pkgconfig(glib-2.0) >= 2.4.0
BuildRequires:  db-devel >= 5.3
BuildRequires:  gnome-common
 
%description
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package        -n %libname
Summary:        Shared library for %name
Group:          System/Internationalization
Requires:       %{name}-data >= %{version}

%description    -n %libname
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package        -n %develname
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       pinyin-devel = %{version}-%{release}

%description    -n %develname
The %{develname} package contains libraries and header files for developing
applications that use %{name}.

%package        data
Summary:        Data files for %{name}

%description    data
The %{name}-data package contains data files.

%package        tools
Summary:        Tools for %{name}
Requires:       %{libname} >= %{version}

%description    tools
The %{name}-tools package contains tools for training inputting habit.

%prep
%setup -q
tar xf %{SOURCE1} -C data

%build
%configure --disable-static --disable-dependency-tracking
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc AUTHORS COPYING README
%dir %{_libdir}/libpinyin
%{_libdir}/%name.so.%major
%{_libdir}/%name.so.%major.*

%files -n %develname
%{_includedir}/libpinyin*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpinyin.pc

%files data
%{_libdir}/libpinyin/data

%files tools
%{_bindir}/gen_binary_files
%{_bindir}/import_interpolation
%{_bindir}/gen_unigram
%{_mandir}/man1/*.1.*


%changelog
* Mon Nov 06 2023 joequant <joequant> 2.8.1-1.mga10
+ Revision: 2004859
- update to 2.8.1

* Sat Nov 19 2022 joequant <joequant> 2.7.92-1.mga9
+ Revision: 1909108
- update to 2.7.92

* Fri Oct 07 2022 neoclust <neoclust> 2.6.2-1.mga9
+ Revision: 1895248
- New version 2.6.2

* Thu Mar 17 2022 umeabot <umeabot> 2.6.0-2.mga9
+ Revision: 1796986
- Mageia 9 Mass Rebuild

* Fri Dec 18 2020 joequant <joequant> 2.6.0-1.mga8
+ Revision: 1660866
- update to 2.6.0

* Sat Feb 15 2020 umeabot <umeabot> 2.3.0-2.mga8
+ Revision: 1523980
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 18 2019 daviddavid <daviddavid> 2.3.0-1.mga7
+ Revision: 1378628
- new version: 2.3.0

* Sun Mar 17 2019 daviddavid <daviddavid> 2.2.2-1.mga7
+ Revision: 1378253
- new version: 2.2.2

* Fri Dec 21 2018 yochenhsieh <yochenhsieh> 2.2.1-1.mga7
+ Revision: 1344234
- New version 2.2.1

* Sun Sep 23 2018 umeabot <umeabot> 2.1.91-2.mga7
+ Revision: 1299091
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 2.1.91-1.mga7
+ Revision: 1216292
- Update to version 2.1.91

* Thu May 18 2017 yochenhsieh <yochenhsieh> 2.0.0-1.mga6
+ Revision: 1103022
- New version 2.0.0

* Wed Jan 04 2017 yochenhsieh <yochenhsieh> 1.7.0-1.mga6
+ Revision: 1080038
- New version 1.7.0

* Fri Mar 04 2016 fwang <fwang> 1.3.0-1.mga6
+ Revision: 985415
- bump libmajor
- 1.3.0

* Thu Feb 11 2016 umeabot <umeabot> 1.2.0-2.mga6
+ Revision: 955615
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 fwang <fwang> 1.2.0-1.mga6
+ Revision: 869582
- bump libmajor
- 1.2.0

* Sat Jul 04 2015 fwang <fwang> 1.1.0-1.mga6
+ Revision: 849873
- bump libmajor
- use autogen
- 1.1.0

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 748308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 681709
- Mageia 5 Mass Rebuild

* Wed Feb 05 2014 fwang <fwang> 1.0.0-1.mga5
+ Revision: 583133
- new version 1.0.0

* Sat Oct 19 2013 umeabot <umeabot> 0.9.93-2.mga4
+ Revision: 529069
- Mageia 4 Mass Rebuild

* Wed Jul 03 2013 fwang <fwang> 0.9.93-1.mga4
+ Revision: 449840
- new version 0.9.93

* Mon Jun 24 2013 fwang <fwang> 0.9.92-1.mga4
+ Revision: 446152
- new version 0.9.92

* Fri Jun 07 2013 fwang <fwang> 0.9.91-1.mga4
+ Revision: 438781
- new version 0.9.91

* Sat Feb 16 2013 fwang <fwang> 0.8.0-4.mga3
+ Revision: 398671
- add upstream patch to fix incomplete pinyin dealing

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-3.mga3
+ Revision: 357969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 fwang <fwang> 0.8.0-2.mga3
+ Revision: 321163
- fix requires

* Fri Nov 23 2012 fwang <fwang> 0.8.0-1.mga3
+ Revision: 321158
- fix pkgname
- use lib policy
- update file list
- more fixes
- force reconf
- fix linkage
- cleanup spec
+ zezinho <zezinho>
- imported package libpinyin

